#!/usr/bin/python3

import setuptools
from bread_editor.gui.raw_ui import ui_to_py
from pathlib import Path

ui_to_py.convert_ui()  # convert the .ui files to .py files before setup

this_directory = Path(__file__).parent  # use readme file as long description
long_description = (this_directory / "README.md").read_text()

setuptools.setup(
    name="Bread Editor",
    version="0.0",
    description="A binary editor with that you can edit single bits.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://teapot.informationsanarchistik.de/Wobbl/Bread_Editor",
    author="The Wobbler",
    author_email="emil@i21k.de",
    packages=["bread_editor", "bread_editor.gui"],
    package_data={"": ["*.ui", "*.txt"]},
    install_requires=[
        "PyQt6",
        "wobbl_tools @ git+https://teapot.informationsanarchistik.de/Wobbl/wobbl_tools@main#egg=wobbl_tools"
    ],
    entry_points={
        "console_scripts": ["bread_editor=bread_editor.main:start_from_command_line"],
    }
)
